## cong-dialog

cong-dialog —

## Synopsis

    CongDialogContent* cong_dialog_content_new  (gboolean within_notebook);
    GtkWidget*  cong_dialog_content_get_widget  (CongDialogContent *dialog_content);
    CongDialogCategory* cong_dialog_content_add_category
                                                (CongDialogContent *dialog_content,
                                                 const gchar *title);
    void        cong_dialog_category_add_field  (CongDialogCategory *category,
                                                 const gchar *title,
                                                 GtkWidget *widget,
                                                 gboolean expand);
    void        cong_dialog_category_add_selflabelled_field
                                                (CongDialogCategory *category,
                                                 GtkWidget *widget,
                                                 gboolean expand);
    GtkWidget*  cong_alert_content_new          (const gchar *stock_icon,
                                                 const gchar *primary_text,
                                                 const gchar *secondary_text,
                                                 const gchar *tertiary_text);
    GtkDialog*  cong_dialog_save_confirmation_alert_new
                                                (GtkWindow *parent,
                                                 const gchar *document_name,
                                                 glong seconds_since_last_save_or_load);
    GtkDialog*  cong_dialog_revert_confirmation_alert_new
                                                (GtkWindow *parent,
                                                 const gchar *document_name,
                                                 glong seconds_since_last_save_or_load);
    GtkDialog*  cong_dialog_information_alert_new
                                                (GtkWindow *parent,
                                                 const gchar *message);

## Description

## Details

### cong_dialog_content_new ()

    CongDialogContent* cong_dialog_content_new  (gboolean within_notebook);

TODO: Write me

`within_notebook` : |
Returns : |

### cong_dialog_content_get_widget ()

    GtkWidget*  cong_dialog_content_get_widget  (CongDialogContent *dialog_content);

TODO: Write me

`dialog_content` : |
Returns : |

### cong_dialog_content_add_category ()

    CongDialogCategory* cong_dialog_content_add_category
                                                (CongDialogContent *dialog_content,
                                                 const gchar *title);

TODO: Write me

`dialog_content` : |
`title` : |
Returns : |

### cong_dialog_category_add_field ()

    void        cong_dialog_category_add_field  (CongDialogCategory *category,
                                                 const gchar *title,
                                                 GtkWidget *widget,
                                                 gboolean expand);

TODO: Write me

`category` : |
`title` : |
`widget` : |
`expand` : |

### cong_dialog_category_add_selflabelled_field ()

    void        cong_dialog_category_add_selflabelled_field
                                                (CongDialogCategory *category,
                                                 GtkWidget *widget,
                                                 gboolean expand);

TODO: Write me

`category` : |
`widget` : |
`expand` : |

### cong_alert_content_new ()

    GtkWidget*  cong_alert_content_new          (const gchar *stock_icon,
                                                 const gchar *primary_text,
                                                 const gchar *secondary_text,
                                                 const gchar *tertiary_text);

TODO: Write me

`stock_icon` : |
`primary_text` : |
`secondary_text` : |
`tertiary_text` : |
Returns : |

### cong_dialog_save_confirmation_alert_new ()

    GtkDialog*  cong_dialog_save_confirmation_alert_new
                                                (GtkWindow *parent,
                                                 const gchar *document_name,
                                                 glong seconds_since_last_save_or_load);

TODO: Write me

`parent` : |
`document_name` : |
`seconds_since_last_save_or_load` : |
Returns : |

### cong_dialog_revert_confirmation_alert_new ()

    GtkDialog*  cong_dialog_revert_confirmation_alert_new
                                                (GtkWindow *parent,
                                                 const gchar *document_name,
                                                 glong seconds_since_last_save_or_load);

TODO: Write me

`parent` : |
`document_name` : |
`seconds_since_last_save_or_load` : |
Returns : |

### cong_dialog_information_alert_new ()

    GtkDialog*  cong_dialog_information_alert_new
                                                (GtkWindow *parent,
                                                 const gchar *message);

TODO: Write me

`parent` : |
`message` : |
Returns : |